package com.simuwang.base.common.support.query;

import com.simuwang.base.common.support.DTO;

/**
 * @author wangzaijun
 * @date 2024/9/13 13:47
 * @description 抽象的get请求的参数
 */
public abstract class BaseQuery extends DTO {
    /**
     * 关键字搜索查询
     */
    private String keyword;
    /**
     * 时间段查询-开始时间
     */
    private String beginTime;
    /**
     * 时间段查询-截止时间
     */
    private String endTime;

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }
}
